import ctypes
import socket
import time


DATA_SIZE = 1920*1080*3


def main():
    img_buffer = (ctypes.c_ubyte * DATA_SIZE)()

    snd_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    snd_socket.ioctl(socket.SIO_LOOPBACK_FAST_PATH, 1)

    snd_socket.connect(('localhost', 6555))

    start_time = time.perf_counter()
    snd_socket.sendall(img_buffer)
    transfer_time = time.perf_counter() - start_time

    print('Throughput: {} gbps'.format(DATA_SIZE/1024/1024/1024*8 / transfer_time))

    snd_socket.close()

main()
