import ctypes
import socket


DATA_SIZE = 1920*1080*3


def main():
    serversocket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    serversocket.ioctl(socket.SIO_LOOPBACK_FAST_PATH, 1)

    serversocket.bind(('localhost', 6555))
    serversocket.listen(1)

    img_buffer = (ctypes.c_ubyte * DATA_SIZE)(0)

    (clientsocket, address) = serversocket.accept()
    view = memoryview(img_buffer)
    while len(view) > 0:
        rcv_size = clientsocket.recv_into(view, len(view))
        view = view[rcv_size:]

    clientsocket.close()
    serversocket.close()

main()
